zenilib: zenilib/jni/external/openal-soft/OpenAL32/Include/bs2b.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Functions
bs2b.h File Reference

Go to the source code of this file.

## Classes

struct | bs2b
struct | bs2b::t_last_sample

## Macros

#define | BS2B_CLEVELS 3
#define | BS2B_DEFAULT_CLEVEL BS2B_HIGH_ECLEVEL
#define | BS2B_DEFAULT_SRATE 44100
#define | BS2B_HIGH_CLEVEL 3
#define | BS2B_HIGH_ECLEVEL BS2B_HIGH_CLEVEL + BS2B_CLEVELS
#define | BS2B_LOW_CLEVEL 1
#define | BS2B_LOW_ECLEVEL BS2B_LOW_CLEVEL + BS2B_CLEVELS
#define | BS2B_MIDDLE_CLEVEL 2
#define | BS2B_MIDDLE_ECLEVEL BS2B_MIDDLE_CLEVEL + BS2B_CLEVELS

## Functions

void | bs2b_clear (struct bs2b *bs2b)
void | bs2b_cross_feed (struct bs2b *bs2b, float *sample)
int | bs2b_get_level (struct bs2b *bs2b)
int | bs2b_get_srate (struct bs2b *bs2b)
void | bs2b_set_level (struct bs2b *bs2b, int level)
void | bs2b_set_srate (struct bs2b *bs2b, int srate)

## Macro Definition Documentation

#define BS2B_CLEVELS 3

Definition at line 28 of file bs2b.h.

#define BS2B_DEFAULT_CLEVEL BS2B_HIGH_ECLEVEL

Definition at line 41 of file bs2b.h.

#define BS2B_DEFAULT_SRATE 44100

Definition at line 43 of file bs2b.h.

Referenced by init().

#define BS2B_HIGH_CLEVEL 3

Definition at line 31 of file bs2b.h.

Referenced by init().

#define BS2B_HIGH_ECLEVEL BS2B_HIGH_CLEVEL + BS2B_CLEVELS

Definition at line 36 of file bs2b.h.

Referenced by init().

#define BS2B_LOW_CLEVEL 1

Definition at line 33 of file bs2b.h.

Referenced by init().

#define BS2B_LOW_ECLEVEL BS2B_LOW_CLEVEL + BS2B_CLEVELS

Definition at line 38 of file bs2b.h.

Referenced by init().

#define BS2B_MIDDLE_CLEVEL 2

Definition at line 32 of file bs2b.h.

Referenced by init().

#define BS2B_MIDDLE_ECLEVEL BS2B_MIDDLE_CLEVEL + BS2B_CLEVELS

Definition at line 37 of file bs2b.h.

Referenced by init().

## Function Documentation

void bs2b_clear | ( | struct bs2b * | bs2b | ) |

Definition at line 149 of file bs2b.c.

References bs2b::last_sample, and memset.

Referenced by UpdateDeviceParams().

void bs2b_cross_feed | ( | struct bs2b * | bs2b,
|  | float * | sample
| ) |  |

Definition at line 154 of file bs2b.c.

References bs2b::t_last_sample::asis, bs2b::gain, bs2b::t_last_sample::hi, hi_filter, bs2b::last_sample, bs2b::t_last_sample::lo, and lo_filter.

Referenced by aluMixData().

int bs2b_get_level | ( | struct bs2b * | bs2b | ) |

Definition at line 131 of file bs2b.c.

References bs2b::level.

int bs2b_get_srate | ( | struct bs2b * | bs2b | ) |

Definition at line 144 of file bs2b.c.

References bs2b::srate.

void bs2b_set_level | ( | struct bs2b * | bs2b,
|  | int | level
| ) |  |

Definition at line 123 of file bs2b.c.

References init(), and bs2b::level.

Referenced by UpdateDeviceParams().

void bs2b_set_srate | ( | struct bs2b * | bs2b,
|  | int | srate
| ) |  |

Definition at line 136 of file bs2b.c.

References init(), and bs2b::srate.

Referenced by UpdateDeviceParams().